latest.html: Latest OpenAPI Specification

API: openapis.org:openapi-specification
Endpoint: /oas/latest.html
Response format: text/html
Auth: none
Method: GET
Last Status: 200
Latency: 262ms

Description

Returns the latest version of the OpenAPI Specification in HTML format. Use this to view the complete OpenAPI 3.x specification documentation in a readable format.

From spec: Returns the latest version of the OpenAPI Specification in HTML format

Usage Tips

- No authentication required - Returns HTML documentation (not JSON) - Current latest is OpenAPI 3.2.0

Examples (1)

Get Latest OpenAPI Specification (HTML) probe-gate

Fetches the latest OpenAPI Specification documentation in HTML format for viewing in a browser

curl 'https://spec.openapis.org/oas/latest.html'
import requests

resp = requests.get("https://spec.openapis.org/oas/latest.html")
data = resp.json()
import zingu_apis

api = zingu_apis.api("openapis")
result = api.fetch("oas/latest.html")

for item in result:
    print(item)
const resp = await fetch("https://spec.openapis.org/oas/latest.html");
const data = await resp.json();

Probe History

Latency

Status Codes

TimeStatusLatencySize
2026-04-16 16:50:23.345479 200 262ms
2026-04-16 03:23:47.261399 200 262ms
2026-04-15 03:04:33.146502 200 469ms
2026-04-14 00:29:14.572833 200 446ms
2026-04-12 16:45:59.621634 200 414ms
2026-04-10 05:08:33.408341 200 207ms
2026-04-09 02:12:57.317442 200 96ms
2026-04-08 07:01:10.118025 200 274ms
2026-04-07 00:55:28.858211 200 298ms
2026-04-05 22:50:51.874014 200 288ms